mformat(1)

NAZWA
mformat - dodaje system plików DOS do niskopoziomowo sformatowanej dyskietki

SKŁADNIA
mformat [-t cylindry] [-h głowice] [-s sektory] [-l etykieta_dysku] [-F] [-I wersja_systemu] [-S rozmiar_kodu] [-2 sektorów_na_ścieżce_0] [-M sektor_software'owy] [-a] [-X] [-C] [-H ukryte_sektory] [-r sektory_root] [-B boot_sector] [-0 rate_on_track_0] [-A rate_on_other_tracks] [-1] [-k] napęd:

OPIS
mformat dodaje mimimalne elementy systemu plikowego MS_DOS (boot sector, FAT i katalog główny) do dyskietki, która została już sformatowana niskopoziomowo przez Unixa.

OPCJE
Obsługiwane są następujące opcje (mogą nie być dostępne opcje -S, -2, -1, jeśli mtools zostały skompilowane bez opcji USE_2M):

-t  Liczba cylindrów.

-h  Liczba głowic (stron).

-s  Liczba sektorów na ścieżkę. Przy użyciu opcji 2m jest to liczba 512-bajtowych równoważników sektora na typową ścieżkę (tj. inną niż głowica 0 ścieżka 0). Jeśli nie użyto opcji 2m, jest to liczba fizycznych sektorów na ścieżkę (mogą być one większe niż 512 bajtów).

-l  Opcjonalna etykieta dysku.

-S  Rozmiar kodu. Rozmiar sektora wynosi 2^(rozmiar_kodu+7).

-2  Format 2m. Parametr tej opcji opisuje liczbę sektorów na ścieżce 0, głowicy 0. Opcja zalecana dla sektorów większych niż zwykłe.

-1  Nie używaj formatu 2m, nawet jeśli obecna geometria dysku jest geometrią 2m.

-M  Rozmiar sektora software'owego. Parametr ten opisuje rozmiar w bajtach sektora używanego przez system plikowy MS-DOS. Domyślnie jest on równy rozmiarowi sektora fizycznego.

-a  Podanie tej opcji powoduje generowanie numeru seryjnego jak dla Atari. Atari przechowują numer seryjny w etykiecie OEM.

-X  Formatuje dyskietkę jako dyskietkę XDF. Patrz sekcja XDF w mtools(1). Dyskietka musi być uprzednio sformatowana niskopoziomowo przy użyciu narzędzia xdfcopy zawartego w pakiecie fdutils.

-C  Tworzy plik obrazu dysku, na którym będzie zainstalowany system plików MS-DOS. Oczywiście, bezużyteczne w odniesieniu do fizycznych urządzeń takich jak dyskietki czy partycje dysku twardego.

-H  Liczba sektorów ukrytych. Parametr przydatny do formatowania partycji dysku twardego, które nie są wyrównane do granic ścieżek (tj. pierwsza głowica pierwszej ścieżki nie należy do partycji, ale zawiera tablicę partycji). W takim przypadku liczba ukrytych sektorów jest zwykle liczbą sektorów na cylinder. Nie testowano.

-n  Numer seryjny.

-F  Formatuj partycję jako FAT32 (opcja eksperymentalna).

-I  Ustaw identyfikator wersji_systemu przy formatowaniu napędu FAT32. Uruchom minfo na istniejącym napędzie FAT32, aby ją odnaleźć, a następnie powiadom autora przez e-mail, by mógł dołączyć poprawną wartość w przyszłych wersjach mtools.

-c  Ustaw rozmiar klastra (cluster) w sektorach. Jeśli rozmiar ten spowodowałby utworzenie zbyt dużej tablicy alokacji plików (FAT), mtools automatycznie powiększy go, aż do uzyskania dostatecznie małego FATu.

-r  Ustala rozmiar katalogu głównego (root) w sektorach. Odnosi się wyłącznie do 12 i 16 bitowych tablic alokacji plików (FAT).

-B  Zamiast własnego użyj sektora startowego (boot sector) przechowywanego w zadanym pliku lub na zadanym urządzeniu. Aktualizowane są jedynie pola geometrii, tak by pasowały do parametrów dysku docelowego.

-k  Zachowaj z istniejącego sektora startowego tyle, ile tylko możliwe. Aktualizowane są jedynie pola geometrii, tak by pasowały do parametrów dysku docelowego.

-0  Prędkość transferu danych na ścieżce 0.

-A  Prędkość transferu danych na ścieżkach innych niż 0.

Chcąc sformatować dyskietkę o gęstości innej niż domyślna, należy podać co najmniej te parametry linii poleceń, które są różne od domyślnych.

mformat zwraca 0 w przypadku powodzenia, 1 przy błędzie.

Polecenie nie zapisuje informacji o błędnych blokach (bad blocks) w FAT. Należy w tym celu użyć mbadblocks.

UWAGI
Niniejsza, polska wersja dokumentacji, powstała jako tłumaczenie pliku Texinfo pakietu mtools wersji 3.9.6. W stosunku do automatycznie generowanej z Textinfo dokumentacji oryginalnej dokonano przesunięcia sekcji opisującej konwersję dokumentacji do mtools(1). Tam też znajdziesz notę prawną dotyczącą rozpowszechniania, modyfikacji i tłumaczenia dokumentacji pakietu mtools